import os
from pathlib import Path

import pytest
import json

BASE_DIR = Path(__file__).parent

SLIP_EXAMPLES = Path(BASE_DIR, "data").glob("*.json")


@pytest.mark.parametrize("testsystem", [None, "1"])
@pytest.mark.parametrize("slip", SLIP_EXAMPLES)
def test_request(slip, testsystem, client):
    os.environ = {"TESTSYSTEM": testsystem}
    with open(slip) as fin:
        data = json.load(fin)
    response = client.post("/", json=data)
    assert response.content_type == "application/pdf"
    assert response.data is not None
    assert response.status_code == 200

    # Wir schreiben die Dateien noch in einen Ordner
    prefix = "test_" if os.environ.get("TESTSYSTEM") else "prod_"
    pdf_slip_name = prefix + slip.parts[-1].replace("json", "pdf")

    outfile = Path(BASE_DIR, "pdf", pdf_slip_name)
    with open(outfile, "wb") as fout:
        fout.write(response.data)
